package com.dgtly.system.service;

import com.dgtly.system.domain.SysThemeInfo;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author dgtly
 * @date 2019-11-05
 */
public interface ISysThemeInfoService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public SysThemeInfo selectSysThemeInfoById(Long id);


    /**
     * 查询【请填写功能名称】
     *
     * @param userId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public SysThemeInfo selectSysThemeInfoByUserId(Long userId);
    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SysThemeInfo> selectSysThemeInfoList(SysThemeInfo sysThemeInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertSysThemeInfo(SysThemeInfo sysThemeInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateSysThemeInfo(SysThemeInfo sysThemeInfo);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysThemeInfoByIds(String ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteSysThemeInfoById(Long id);
}
